Public Class ClsRegistrosListar
    Implements IRegistrosListar

    Private conexion As IPrixusConexion

    Public Sub New(conexion As IPrixusConexion)
        Me.conexion = conexion
    End Sub

    Public Function Listar(filtros As IRegistrosListarArgumentos) As DataTable Implements IRegistrosListar.Listar
        Dim resultado As DataTable = New DataTable

        Try
            If IsNothing(filtros) OrElse IsNothing(filtros.filtroUniversal) Then filtros = New RegistrosListarArgumentos()

            Dim listaParametros As New List(Of SqlClient.SqlParameter) From {
                New SqlClient.SqlParameter("@filtro", filtros.filtroUniversal.Trim())}

            resultado = conexion.ObtenerDataTable("sp_RegistrosLeer @filtro", listaParametros)
        Catch ex As Exception

        End Try

        Return resultado
    End Function
End Class
